import { jsx as _jsx } from "react/jsx-runtime";
import React, { useContext } from "react";
const TestGroupContext = React.createContext(undefined);
export const TestGroupProvider = ({ groupTitle, children }) => {
    return (_jsx(TestGroupContext.Provider, { value: { groupTitle }, children: children }));
};
export const useTestGroupContext = () => {
    const context = useContext(TestGroupContext);
    if (!context) {
        // No context means the test does not have a parent TestGroup. In this case, return null.
        return null;
    }
    return context;
};
