import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { TestStatsDisplay, getBorderStyles, getTestStats } from "../..";
const CustomTestStatsDisplay = ({ containerState, title }) => {
    const testStats = getTestStats(Object.values(containerState?.tests || []));
    const classNames = "rbt-overview " + getBorderStyles(testStats.state);
    return _jsx("div", { className: classNames, children: _jsxs("div", { className: "rbt-overview-title-and-stats", children: [_jsx("span", { children: title }), _jsx(TestStatsDisplay, { testStats: testStats })] }) });
};
export const IframeTestStatsDisplay = ({ containerStates, iframeUrl, isLoading }) => {
    let title = `Tests for ${iframeUrl}`;
    if (isLoading) {
        return (_jsxs("div", { className: "rbt-overview " + getBorderStyles("Running"), children: [title, " - Waiting for tests to complete..."] }));
    }
    else if (containerStates.length === 0) {
        return (_jsxs("div", { className: "rbt-overview " + getBorderStyles("Pending"), children: [title, " - No test containers available yet."] }));
    }
    return containerStates.map((containerState) => (_jsx(CustomTestStatsDisplay, { containerState: containerState, title: title + " - container Id: " + containerState.containerId }, containerState.containerId)));
};
